Highlighted

Backup Exec support for ESXi (free)

HI,

we have 1 customer who has 2 VMWare ESXi 5.0 Hypervisors with the free license of VMWare. We were backing up these ESXi 5.0 machines with Symantec back-up Exec 2010 R3 which worked fine. We could back-up the machines and granulary restore files from these back-ups. We even had Symantec Support work on a case where the back-ups were failing due to misconfiguration.

Recently we have upgraded 1 of these 2 ESXi hosts to VMWare ESXi 5.5 u1 and the back-ups started failing. We were advised to upgrade to Backup Exec 2012 and we did.
After we upgraded to Backup Exec 2012 we were still getting the same errors for this particular host. The VMs from the ESXi 5.0 host were backing up without any issues.

We then found out that in order for back-up Exec 2012 to be able to back-up ESXi 5.5 u1 we would need a VMWare standard license because Backup Exec 2012 uses the Vstorage API. 

if we were to downgrade the ESXi (free) 5.5 u1 host to ESXi (free) 5.1 u3, would we be able to back-up the VMs on this host again with Back-up Exec 2012 VMWare integration?

9 Replies
Highlighted

Backup Exec uses the vStorage

Backup Exec uses the vStorage APIs to backup VMs residing on ESX hosts. Without this license, these APIs cannot be invoked by Backup Exec's Vmware agent. It could be highly possible that with your ESXi 5.0 hosts, the free license of VMware included the vStorage API option.

Best way to be sure would be check the licensed features of the other ESXi host which hasn't been upgraded yet.  And if i recall, the free edition of ESXi 5.0 did come bundled with many APIs and lesser restrictions, however best to check with VMware regarding the licensing differences.

Highlighted

the ESXi 5.0 host did not

the ESXi 5.0 host did not include the Vstorage API as licensed feature. Does 5.0 not use VDDK?

Highlighted

We have used the VDDK and

We have used the VDDK and vStorage APIs (with their licensing requirements on the VMware side) right from at least ESX 4.0//Backup Exec 12.5 forwards as such the downgrade probably will not help you.

It is puzzling your existing (free) environment appears to work as the progammatic block for invalid license is not triggered by BE directly in this sutuation, all that happens is that BEs attempt to call into the APIs is blocked by VMware and we get a denial.

Highlighted

apearently the VMWare

apearently the VMWare integration does not Snapshot the machines on the ESXi 5.0 host:

Note: Resource: "VMVCB::\\viggohv02.viggo.local\VCGuestVm\(DC)ha-datacenter(DC)\vm\VIGGOAP02" is not snappable. Attempting to back up directly from the source volume.
Highlighted

Since ESXi 5 the vStorage API

Since ESXi 5 the vStorage API is enabled in the free version too. I cannot find VMware's statement right now, but I have definitely used it with free ESXi 5.0 and with ESXi 5.5 Essentials Plus.

So I would advise to look elsewhere for the cause of your backup failures.

Highlighted

Downgrade ? I wouln't do

Downgrade ?

I wouln't do that. It is an older version, so you will have to upgrade at some time. Why don't you buy the Vmware Essentials bundle, it's not so expensive.

Highlighted

According to the below VMware

According to the below VMware webpage, across versions 5.0 5.1 and 5.5, you need the Essentials plus edition or better to enable the Storage APIs and it is not enabled with just the free hypervisor

http://kb.vmware.com/selfservice/microsites/search.do?language=en_US&cmd=displayKC&externalId=200111...

 

EDIT: Oh and the Essentials edition or above for "vStorage APIs for Data Protection" which is I think what Backup Exec needs (but is stilll not in the free version)

 

 

So could you explain to me

So could you explain to me how i am able to back-up the VM's on the ESXi 5.0 hypervisor without a VMWare license?

Highlighted

If you can it is VMware

If you can it is VMware letting us do it and not something within Backup Exec so you should ask the question of VMware and not Symantec